List all visitor records for a list of stores
List all visitor records for a list of stores
post/tenants/{tenantUid}/stores/visitors
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageSizeintegerOptional
The number of items per page in a result set.
pageNumberintegerOptional
Reference to a specific page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Body
fromDateTimestring · date-timeRequired
toDateTimestring · date-timeRequired
storeUidsstring[]Required
Responses
200
Example response
application/json
post/tenants/{tenantUid}/stores/visitors
POST /v2/tenants/{tenantUid}/stores/visitors HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"storeUids": [
"text"
]
}200
Example response
{
"items": [
{
"storeVisitorUid": "text",
"storeUid": "text",
"dateTime": "2026-01-01T00:00:00.000Z",
"visitorCount": 1
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

